# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class QueryJDBoxStatisticsDataRequest(JDCloudRequest):
    """
    无线宝按条件查询的统计接口
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(QueryJDBoxStatisticsDataRequest, self).__init__(
            '/jdBoxStatistics', 'POST', header, version)
        self.parameters = parameters


class QueryJDBoxStatisticsDataParameters(object):

    def __init__(self, ):
        """
        """

        self.startTime = None
        self.endTime = None
        self.fields = None
        self.area = None
        self.isp = None
        self.period = None
        self.groupBy = None
        self.category = None
        self.macAddr = None

    def setStartTime(self, startTime):
        """
        :param startTime: (Optional) 查询起始时间,UTC时间，格式为:yyyy-MM-dd'T'HH:mm:ss'Z'，示例:2018-10-21T10:00:00Z
        """
        self.startTime = startTime

    def setEndTime(self, endTime):
        """
        :param endTime: (Optional) 查询截止时间,UTC时间，格式为:yyyy-MM-dd'T'HH:mm:ss'Z'，示例:2018-10-21T10:00:00Z
        """
        self.endTime = endTime

    def setFields(self, fields):
        """
        :param fields: (Optional) 查询的字段，决定了查询结果中出现哪些字段，取值范围见"统计字段说明"。多个用逗号分隔。默认为空，表示查询带宽流量 pv
        """
        self.fields = fields

    def setArea(self, area):
        """
        :param area: (Optional) 
        """
        self.area = area

    def setIsp(self, isp):
        """
        :param isp: (Optional) 
        """
        self.isp = isp

    def setPeriod(self, period):
        """
        :param period: (Optional) 查询周期，当前取值范围：“oneMin,fiveMin,halfHour,hour,twoHour,sixHour,day,followTime”，分别表示1min，5min，半小时，1小时，2小时，6小时，1天，跟随时间。默认为空，表示fiveMin。当传入followTime时，表示按Endtime-StartTime的周期，只返回一个点
        """
        self.period = period

    def setGroupBy(self, groupBy):
        """
        :param groupBy: (Optional) 取值范围[area,isp,mac_addr,category]  按区域、运营商、设备、业务类型分组，默认为isp
        """
        self.groupBy = groupBy

    def setCategory(self, category):
        """
        :param category: (Optional) 业务类型
        """
        self.category = category

    def setMacAddr(self, macAddr):
        """
        :param macAddr: (Optional) 设备id
        """
        self.macAddr = macAddr

